Bug 650506

Summary: preupgrade fails after reboot: fatal error occured when installing CA-certificate packages
Product: [Fedora] Fedora Reporter: Frank <josefk838485>
Component: preupgradeAssignee: Richard Hughes <richard>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: low    
Version: 14CC: colinmroach, j.hoffmann, redhat, richard, scp.stjohn
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-08-16 15:59:54 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Frank 2010-11-06 16:06:32 EDT
Description of problem:

ugrading from F13 to F14 using preupgrade. After reboot, installation fails with error message "A fatal error occured when installing CA-certificate packages" 


Version-Release number of selected component (if applicable):
F13, using preupgrade to upgrade to F14

How reproducible:
always

Steps to Reproduce:
1. start preupgrade, follow instructions
2. reboot when told
3. error shows up
  
Actual results:
upgrade fails

Expected results:
should successful finish upgrade to F14

Additional info:
Comment 1 Jobst Hoffmann 2010-11-09 16:01:27 EST
On my notebook the same happened, but there is a difference: my platform is x86_64.

I would prefer if the priority gets increased from low to high, because that's a show stopper!
Comment 2 Frank 2010-11-10 03:27:14 EST
I agree. This bug kept me from upgrading so far - I just didn't want to go with the additional work of an usb-stick upgrade yet. 
Could it be that it has something to do with network? The error appears the moment it wants to download the first additional package after the reboot, and there is also the comment of this error being possibly related to problems with the install media.
Comment 3 Laurent MINOST 2010-11-15 12:19:15 EST
Hi,

Same problem here, it makes the update from F13 to F14 impossible here, using an x86_64 architecture here, I did an upgrade on an i386 machine without any problem a few hours ago, maybe the architecture x64 makes this problem occurs, Frank and Jobst Hoffman : are you also on a x64 architecture please ? It could help to solve the problem  ... thks

Laurent
Comment 4 Frank 2010-11-15 12:37:37 EST
Nope, I was using an Eeepc 1000HE, which is a 32bit architecture. Previous preupgrade runs (e.g. 12->13) worked fine.
F
Comment 5 Laurent MINOST 2010-11-15 13:05:50 EST
ok thks for your reply, so x64 is not the culprit, bad way :)

same for me : my server was upgraded from redhat 7.2 to F13 through CD updates or yum or preupgrade always successfully ... :)

hope that this will be fixed or a workaround will be found.

Laurent
Comment 6 Jobst Hoffmann 2010-11-16 06:07:27 EST
(In reply to comment #3)
> Hi,
> Same problem here, it makes the update from F13 to F14 impossible here, using
> an x86_64 architecture here, I did an upgrade on an i386 machine without any
> problem a few hours ago, maybe the architecture x64 makes this problem occurs,
> Frank and Jobst Hoffman : are you also on a x64 architecture please ? It could
> help to solve the problem  ... thks
> Laurent
I also did an update before on another machine with the same architecture, htere were no problems at all, so I expected the same for my notebook
Comment 7 SP 2010-11-19 10:09:04 EST
The same here - except that I am installing from a DVD - not preupgrade.  Installation halts at "A fatal error occurred when installing CA-certificate
packages" form Mozilla.  I used the same machine to upgrade three other machines including a laptop - without a hitch.  The machine it fails on is a Dell Dimension 8200, which I use as a router.  All of the machines had F13 previously.
Comment 8 SP 2010-11-19 10:11:10 EST
correction to previous post - should be "I used the same DVD to upgrade"  - not "machine to upgrade"
Comment 9 SP 2010-11-19 18:26:09 EST
Tried flash updating the dvd player, converting volume and boot to ext4 - all to no avail.  So this is definitely a problem with the configuration of both f14 preupgrade and the f14 DVD.  It has happened in the past - that a new Fedora release will upgrade some machines but not others.
Comment 10 Frank 2010-11-21 08:59:29 EST
(In reply to comment #9)
> Tried flash updating the dvd player, converting volume and boot to ext4 - all
> to no avail.  So this is definitely a problem with the configuration of both
> f14 preupgrade and the f14 DVD.  It has happened in the past - that a new
> Fedora release will upgrade some machines but not others.

I also tried to upgrade with usb-stick - just got a "boot error". And I used one of my usb sticks with that notebook before - that's how i got Linux onto that machine in the first place. So something with the configuration of the F14 image might be wrong?

Is anyone reading this besides the users with problems?

Frank
Comment 11 colinmroach 2010-12-02 15:58:52 EST
I am experiencing exactly the same problem.  Has anyone made any progress on understanding this bug?  Surely it must be something simple.
Comment 12 SP 2010-12-04 12:40:57 EST
This is how I fixed it.  (I upgraded from Fedora 13 with a Fedora 14 DVD - not preupgrade. Read above for the problem)
Perhaps I should have put the last step first - to determine whether this was the fix.  As it is - all I know is that this sequence allowed the install - but I do not know what precisely was causing the initial problem.
Steps:
1. sudo package-cleanup --leaves - then yum remove (the older packages)
2. sudo package-cleanup --orphans
3. sudo yum clean-all
4. rename /etc/ssl /etc/ssl_hold

Reboot with the DVD install disk and the installation proceeds without error.  This may well work with preupgrade, too.  I would suggest trying step 4. first - to determine whether this is the fix.  It may be that the new installation needs to make links to this directory but cannot because it exists?
Comment 13 Frank 2010-12-05 10:06:01 EST
It works! I just did step 4, rerun preupgrade, and everything worked fine.
Well done!
Comment 14 SP 2010-12-06 10:31:07 EST
Frank - thank you for confirming what I had suspected.  The FC14 installation wants to make /etc/ssl/certs as symlink to /etc/pki/tls/certs where it places the certificates.  If /etc/ssl/certs already exists - then the installation fails.  In my case the upgrade was failing on one of my older machines - on which I had upgraded successive versions of Fedora since 7.  Perhaps /etc/ssl/certs existed as a hard directory in the earlier releases and upgrade installations did not have a problem with that until now?  Just a guess.
Comment 15 colinmroach 2010-12-11 15:36:03 EST
Thanks SP:  Like Frank, I also just followed your step 4, and then used preupgrade to update from Fedora 12. Your explanation sounds spot on, so thanks again!
Comment 16 Fedora End Of Life 2012-08-16 15:59:56 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping